[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.SetEditText

Locks, updates, and unlocks the editor and cell text at the specified coordinates.

## Declaration

Source position: grids.pas line 1795

`protected procedure TCustomStringGrid.SetEditText(`
`aCol: LongInt;`
`aRow: LongInt;`
`const aValue: string`
`); override;`

## Arguments

`aCol` |  | Column number for the modified cell.
`aRow` |  | Row number or the modified cell.
`aValue` |  | New value for the modified cell.